<div class="wrapper">
    <h2>Parent Child</h2>
    <p>Current form : {{currentForm}} <button (click)="reset()">reset</button></p>
    <div class="content-wrapper">
        <app-menu (selectedForm)="handleFormChange($event)"></app-menu>
        <div class="form-container" [style.border]="currentForm === 0 ? 'none' : ' black solid 2px'" [ngSwitch]="currentForm">
            <app-form1 *ngSwitchCase=1></app-form1>
            <app-form2 *ngSwitchCase=2></app-form2>
            <app-form3 *ngSwitchCase=3></app-form3>
            <app-form4 *ngSwitchCase=4></app-form4>
        </div>
    </div>
</div>